[Unit]
Description=Redis Server Sentinel
Wants=network-online.target
After=network-online.target
PartOf=redis.target

[Service]
User=redis
Group=redis
ExecStart=/opt/squirro/octopus/deployment/redis_secure/scripts/sentinel.sh
ExecStartPost=/bin/rm -f /etc/redis/sentinel.conf.tmp
ExecStopPost=/bin/rm -f /etc/redis/sentinel.conf.tmp
Restart=on-failure
LimitNOFILE=10032
NoNewPrivileges=yes
Type=notify
TimeoutStartSec=60
TimeoutStopSec=60
UMask=0077
WorkingDirectory=/var/lib/redis

[Install]
WantedBy=multi-user.target
